CREATE TABLE remote_recordings (
  _id integer PRIMARY KEY AUTOINCREMENT NOT NULL,
  event_id text NOT NULL UNIQUE,
  series_linked integer DEFAULT(0)
);

CREATE INDEX remote_recordings_event_id_idx ON remote_recordings (event_id);

CREATE TABLE boxset (
  _id integer PRIMARY KEY AUTOINCREMENT NOT NULL,
  boxset_id text NOT NULL UNIQUE,
  t text,
  tso integer DEFAULT(0),
  sy text,
  series_linked integer DEFAULT(0),
  r text,
  imageuri_16x9 text,
  imageuri_3x4 text,
  renderhints text
);

ALTER TABLE pvr ADD COLUMN boxset_id text;

CREATE TABLE remote_downloads (
  _id integer PRIMARY KEY AUTOINCREMENT NOT NULL,
  programme_id text NOT NULL UNIQUE
);

CREATE INDEX remote_downloads_programme_id_idx ON remote_downloads (programme_id);

ALTER TABLE pvr ADD COLUMN et text;

ALTER TABLE schedule ADD COLUMN et text;